﻿using UnityEngine;
using System.Collections;

public static class StringUtils 
{
    public static string s_NULL = "NULL";
    public static string s_EMPTY = "";

    public static bool IsNullOrEmpty(string i_String)
    {
        return (i_String == s_NULL || i_String == s_EMPTY);
    }

    public static int GetHashCode(string input)
    {
        return input.GetHashCode();  
    }

    public static string TrimStart(this string target, string trimString)
    {
        string result = target;
        while (result.StartsWith(trimString))
        {
            result = result.Substring(trimString.Length);
        }

        return result;
    }

    public static string TrimEnd(this string target, string trimString)
    {
        string result = target;
        while (result.EndsWith(trimString))
        {
            result = result.Substring(0, result.Length - trimString.Length);
        }

        return result;
    }

}
